// Copyright (C) 1999-2015
// Smithsonian Astrophysical Observatory, Cambridge, MA, USA
// For conditions of distribution and use, see copyright notice in "copyright"

#ifndef __colorbartrue_h__
#define __colorbartrue_h__

#include "colorbar.h"

class ColorbarTrue : public virtual ColorbarBase {
 protected:
  void updateColors();
  virtual void updateColorCells() =0;
  virtual void updateColorsHorz() =0;
  virtual void updateColorsVert() =0;
  void ximageToPixmap() {updateColors();}

 public:
  ColorbarTrue(Tcl_Interp*, Tk_Canvas, Tk_Item*);
};

#endif
